﻿namespace MobileOSGeekOxygeneTutorial;

interface

uses
  System,
  System.Collections.Generic,
  System.Linq,
  System.Net,
  System.Windows,
  System.Windows.Controls,
  System.Windows.Media,
  System.Windows.Navigation,
  Microsoft.Phone.Controls,
  Microsoft.Phone.Shell,
  MobileOSGeekOxygeneTutorial.Resources,
  Microsoft.Phone.Tasks;
type
  MainPage = public partial class(PhoneApplicationPage)

  public
    // Constructor
    constructor ;
  private
      method btnLaunch_Click(sender: Object; e: System.Windows.RoutedEventArgs);
  end;
type
  Employee = public class
  public
    property Name: System.String;
    property Designation: System.String;
  end;



implementation

constructor MainPage;
begin
  InitializeComponent();
  var emp: Employee := new Employee(Name := 'Senthil Kumar', 
                                Designation := 'Senior Software Engineer'
                                );
  var binding: System.Windows.Data.Binding := new System.Windows.Data.Binding(Source := emp, 
  Path := new PropertyPath('Name'), 
  Mode := System.Windows.Data.BindingMode.OneWay);
// assign the binding object to the FrameworkElement
  txtName.SetBinding(TextBox.TextProperty, binding)
end;

method MainPage.btnLaunch_Click(sender: Object; e: System.Windows.RoutedEventArgs);
begin
   var marketplaceReviewTask: MarketplaceReviewTask := new MarketplaceReviewTask();
   marketplaceReviewTask.Show();
end;






end.